	component keim08core is
		port (
			altpll_areset_export            : in    std_logic                     := 'X';             -- export
			altpll_c1_clk                   : out   std_logic;                                        -- clk
			altpll_locked_export            : out   std_logic;                                        -- export
			clk_clk                         : in    std_logic                     := 'X';             -- clk
			emif_flash_tcm_reset_n_out      : out   std_logic_vector(0 downto 0);                     -- flash_tcm_reset_n_out
			emif_sdram_sdram_cke            : out   std_logic_vector(0 downto 0);                     -- sdram_sdram_cke
			emif_sdram_sdram_cas_n          : out   std_logic_vector(0 downto 0);                     -- sdram_sdram_cas_n
			emif_dq                         : inout std_logic_vector(15 downto 0) := (others => 'X'); -- dq
			emif_sdram_sdram_we_n           : out   std_logic_vector(0 downto 0);                     -- sdram_sdram_we_n
			emif_sdram_sdram_cs_n           : out   std_logic_vector(0 downto 0);                     -- sdram_sdram_cs_n
			emif_flash_tcm_chipselect_n_out : out   std_logic_vector(0 downto 0);                     -- flash_tcm_chipselect_n_out
			emif_addr                       : out   std_logic_vector(21 downto 0);                    -- addr
			emif_sdram_sdram_ba             : out   std_logic_vector(1 downto 0);                     -- sdram_sdram_ba
			emif_sdram_sdram_dqm            : out   std_logic_vector(1 downto 0);                     -- sdram_sdram_dqm
			emif_sdram_sdram_ras_n          : out   std_logic_vector(0 downto 0);                     -- sdram_sdram_ras_n
			emif_flash_tcm_write_n_out      : out   std_logic_vector(0 downto 0);                     -- flash_tcm_write_n_out
			emif_flash_tcm_read_n_out       : out   std_logic_vector(0 downto 0);                     -- flash_tcm_read_n_out
			i2c_0_scl_out                   : out   std_logic;                                        -- scl_out
			i2c_0_scl_in                    : in    std_logic                     := 'X';             -- scl_in
			i2c_0_scl_oe                    : out   std_logic;                                        -- scl_oe
			i2c_0_sda_out                   : out   std_logic;                                        -- sda_out
			i2c_0_sda_in                    : in    std_logic                     := 'X';             -- sda_in
			i2c_0_sda_oe                    : out   std_logic;                                        -- sda_oe
			int_int                         : in    std_logic_vector(7 downto 0)  := (others => 'X'); -- int
			pinmux_pa_mux                   : out   std_logic_vector(15 downto 0);                    -- pa_mux
			pinmux_pb_mux                   : out   std_logic_vector(15 downto 0);                    -- pb_mux
			pinmux_pc_mux                   : out   std_logic_vector(15 downto 0);                    -- pc_mux
			pinmux_pd_mux                   : out   std_logic_vector(15 downto 0);                    -- pd_mux
			pinmux_pe_mux                   : out   std_logic_vector(1 downto 0);                     -- pe_mux
			pio_pio_a_oe                    : out   std_logic_vector(15 downto 0);                    -- pio_a_oe
			pio_pio_a_out                   : out   std_logic_vector(15 downto 0);                    -- pio_a_out
			pio_pio_a_in                    : in    std_logic_vector(15 downto 0) := (others => 'X'); -- pio_a_in
			pio_pio_b_oe                    : out   std_logic_vector(15 downto 0);                    -- pio_b_oe
			pio_pio_b_out                   : out   std_logic_vector(15 downto 0);                    -- pio_b_out
			pio_pio_b_in                    : in    std_logic_vector(15 downto 0) := (others => 'X'); -- pio_b_in
			pio_pio_c_oe                    : out   std_logic_vector(15 downto 0);                    -- pio_c_oe
			pio_pio_c_out                   : out   std_logic_vector(15 downto 0);                    -- pio_c_out
			pio_pio_c_in                    : in    std_logic_vector(15 downto 0) := (others => 'X'); -- pio_c_in
			pio_pio_d_oe                    : out   std_logic_vector(15 downto 0);                    -- pio_d_oe
			pio_pio_d_out                   : out   std_logic_vector(15 downto 0);                    -- pio_d_out
			pio_pio_d_in                    : in    std_logic_vector(15 downto 0) := (others => 'X'); -- pio_d_in
			pio_pio_e_oe                    : out   std_logic_vector(1 downto 0);                     -- pio_e_oe
			pio_pio_e_out                   : out   std_logic_vector(1 downto 0);                     -- pio_e_out
			pio_pio_e_in                    : in    std_logic_vector(1 downto 0)  := (others => 'X'); -- pio_e_in
			pwm_0_pwm_out                   : out   std_logic;                                        -- pwm_out
			pwm_1_pwm_out                   : out   std_logic;                                        -- pwm_out
			reset_reset_n                   : in    std_logic                     := 'X';             -- reset_n
			spi_0_miso                      : in    std_logic                     := 'X';             -- miso
			spi_0_mosi                      : out   std_logic;                                        -- mosi
			spi_0_sclk                      : out   std_logic;                                        -- sclk
			spi_1_miso                      : in    std_logic                     := 'X';             -- miso
			spi_1_mosi                      : out   std_logic;                                        -- mosi
			spi_1_sclk                      : out   std_logic;                                        -- sclk
			spi_2_miso                      : in    std_logic                     := 'X';             -- miso
			spi_2_mosi                      : out   std_logic;                                        -- mosi
			spi_2_sclk                      : out   std_logic;                                        -- sclk
			uart_0_rxd                      : in    std_logic                     := 'X';             -- rxd
			uart_0_txd                      : out   std_logic;                                        -- txd
			uart_0_cts_n                    : in    std_logic                     := 'X';             -- cts_n
			uart_0_rts_n                    : out   std_logic;                                        -- rts_n
			uart_1_rxd                      : in    std_logic                     := 'X';             -- rxd
			uart_1_txd                      : out   std_logic;                                        -- txd
			uart_1_cts_n                    : in    std_logic                     := 'X';             -- cts_n
			uart_1_rts_n                    : out   std_logic                                         -- rts_n
		);
	end component keim08core;

	u0 : component keim08core
		port map (
			altpll_areset_export            => CONNECTED_TO_altpll_areset_export,            -- altpll_areset.export
			altpll_c1_clk                   => CONNECTED_TO_altpll_c1_clk,                   --     altpll_c1.clk
			altpll_locked_export            => CONNECTED_TO_altpll_locked_export,            -- altpll_locked.export
			clk_clk                         => CONNECTED_TO_clk_clk,                         --           clk.clk
			emif_flash_tcm_reset_n_out      => CONNECTED_TO_emif_flash_tcm_reset_n_out,      --          emif.flash_tcm_reset_n_out
			emif_sdram_sdram_cke            => CONNECTED_TO_emif_sdram_sdram_cke,            --              .sdram_sdram_cke
			emif_sdram_sdram_cas_n          => CONNECTED_TO_emif_sdram_sdram_cas_n,          --              .sdram_sdram_cas_n
			emif_dq                         => CONNECTED_TO_emif_dq,                         --              .dq
			emif_sdram_sdram_we_n           => CONNECTED_TO_emif_sdram_sdram_we_n,           --              .sdram_sdram_we_n
			emif_sdram_sdram_cs_n           => CONNECTED_TO_emif_sdram_sdram_cs_n,           --              .sdram_sdram_cs_n
			emif_flash_tcm_chipselect_n_out => CONNECTED_TO_emif_flash_tcm_chipselect_n_out, --              .flash_tcm_chipselect_n_out
			emif_addr                       => CONNECTED_TO_emif_addr,                       --              .addr
			emif_sdram_sdram_ba             => CONNECTED_TO_emif_sdram_sdram_ba,             --              .sdram_sdram_ba
			emif_sdram_sdram_dqm            => CONNECTED_TO_emif_sdram_sdram_dqm,            --              .sdram_sdram_dqm
			emif_sdram_sdram_ras_n          => CONNECTED_TO_emif_sdram_sdram_ras_n,          --              .sdram_sdram_ras_n
			emif_flash_tcm_write_n_out      => CONNECTED_TO_emif_flash_tcm_write_n_out,      --              .flash_tcm_write_n_out
			emif_flash_tcm_read_n_out       => CONNECTED_TO_emif_flash_tcm_read_n_out,       --              .flash_tcm_read_n_out
			i2c_0_scl_out                   => CONNECTED_TO_i2c_0_scl_out,                   --         i2c_0.scl_out
			i2c_0_scl_in                    => CONNECTED_TO_i2c_0_scl_in,                    --              .scl_in
			i2c_0_scl_oe                    => CONNECTED_TO_i2c_0_scl_oe,                    --              .scl_oe
			i2c_0_sda_out                   => CONNECTED_TO_i2c_0_sda_out,                   --              .sda_out
			i2c_0_sda_in                    => CONNECTED_TO_i2c_0_sda_in,                    --              .sda_in
			i2c_0_sda_oe                    => CONNECTED_TO_i2c_0_sda_oe,                    --              .sda_oe
			int_int                         => CONNECTED_TO_int_int,                         --           int.int
			pinmux_pa_mux                   => CONNECTED_TO_pinmux_pa_mux,                   --        pinmux.pa_mux
			pinmux_pb_mux                   => CONNECTED_TO_pinmux_pb_mux,                   --              .pb_mux
			pinmux_pc_mux                   => CONNECTED_TO_pinmux_pc_mux,                   --              .pc_mux
			pinmux_pd_mux                   => CONNECTED_TO_pinmux_pd_mux,                   --              .pd_mux
			pinmux_pe_mux                   => CONNECTED_TO_pinmux_pe_mux,                   --              .pe_mux
			pio_pio_a_oe                    => CONNECTED_TO_pio_pio_a_oe,                    --           pio.pio_a_oe
			pio_pio_a_out                   => CONNECTED_TO_pio_pio_a_out,                   --              .pio_a_out
			pio_pio_a_in                    => CONNECTED_TO_pio_pio_a_in,                    --              .pio_a_in
			pio_pio_b_oe                    => CONNECTED_TO_pio_pio_b_oe,                    --              .pio_b_oe
			pio_pio_b_out                   => CONNECTED_TO_pio_pio_b_out,                   --              .pio_b_out
			pio_pio_b_in                    => CONNECTED_TO_pio_pio_b_in,                    --              .pio_b_in
			pio_pio_c_oe                    => CONNECTED_TO_pio_pio_c_oe,                    --              .pio_c_oe
			pio_pio_c_out                   => CONNECTED_TO_pio_pio_c_out,                   --              .pio_c_out
			pio_pio_c_in                    => CONNECTED_TO_pio_pio_c_in,                    --              .pio_c_in
			pio_pio_d_oe                    => CONNECTED_TO_pio_pio_d_oe,                    --              .pio_d_oe
			pio_pio_d_out                   => CONNECTED_TO_pio_pio_d_out,                   --              .pio_d_out
			pio_pio_d_in                    => CONNECTED_TO_pio_pio_d_in,                    --              .pio_d_in
			pio_pio_e_oe                    => CONNECTED_TO_pio_pio_e_oe,                    --              .pio_e_oe
			pio_pio_e_out                   => CONNECTED_TO_pio_pio_e_out,                   --              .pio_e_out
			pio_pio_e_in                    => CONNECTED_TO_pio_pio_e_in,                    --              .pio_e_in
			pwm_0_pwm_out                   => CONNECTED_TO_pwm_0_pwm_out,                   --         pwm_0.pwm_out
			pwm_1_pwm_out                   => CONNECTED_TO_pwm_1_pwm_out,                   --         pwm_1.pwm_out
			reset_reset_n                   => CONNECTED_TO_reset_reset_n,                   --         reset.reset_n
			spi_0_miso                      => CONNECTED_TO_spi_0_miso,                      --         spi_0.miso
			spi_0_mosi                      => CONNECTED_TO_spi_0_mosi,                      --              .mosi
			spi_0_sclk                      => CONNECTED_TO_spi_0_sclk,                      --              .sclk
			spi_1_miso                      => CONNECTED_TO_spi_1_miso,                      --         spi_1.miso
			spi_1_mosi                      => CONNECTED_TO_spi_1_mosi,                      --              .mosi
			spi_1_sclk                      => CONNECTED_TO_spi_1_sclk,                      --              .sclk
			spi_2_miso                      => CONNECTED_TO_spi_2_miso,                      --         spi_2.miso
			spi_2_mosi                      => CONNECTED_TO_spi_2_mosi,                      --              .mosi
			spi_2_sclk                      => CONNECTED_TO_spi_2_sclk,                      --              .sclk
			uart_0_rxd                      => CONNECTED_TO_uart_0_rxd,                      --        uart_0.rxd
			uart_0_txd                      => CONNECTED_TO_uart_0_txd,                      --              .txd
			uart_0_cts_n                    => CONNECTED_TO_uart_0_cts_n,                    --              .cts_n
			uart_0_rts_n                    => CONNECTED_TO_uart_0_rts_n,                    --              .rts_n
			uart_1_rxd                      => CONNECTED_TO_uart_1_rxd,                      --        uart_1.rxd
			uart_1_txd                      => CONNECTED_TO_uart_1_txd,                      --              .txd
			uart_1_cts_n                    => CONNECTED_TO_uart_1_cts_n,                    --              .cts_n
			uart_1_rts_n                    => CONNECTED_TO_uart_1_rts_n                     --              .rts_n
		);

